
install_data('index.theme',
  install_dir: pikaiconsdir / theme,
)

legacy_icons_12 = [
  '12/pika-close.png',
  '12/pika-default-colors.png',
  '12/pika-linked.png',
  '12/pika-menu-left.png',
  '12/pika-menu-right.png',
  '12/pika-quick-mask-off.png',
  '12/pika-quick-mask-on.png',
  '12/pika-swap-colors.png',
  '12/pika-visible.png',
  '12/pika-zoom-follow-window.png',
]
legacy_icons_16 = [
  '16/dialog-information.png',
  '16/dialog-warning.png',
  '16/pika-anchor.png',
  '16/pika-cap-butt.png',
  '16/pika-cap-round.png',
  '16/pika-cap-square.png',
  '16/pika-center.png',
  '16/pika-channel-alpha.png',
  '16/pika-channel-blue.png',
  '16/pika-channel-gray.png',
  '16/pika-channel-green.png',
  '16/pika-channel-indexed.png',
  '16/pika-channel-red.png',
  '16/pika-channel.png',
  '16/pika-channels.png',
  '16/pika-color-pick-from-screen.png',
  '16/pika-color-triangle.png',
  '16/pika-colormap.png',
  '16/pika-controller-keyboard.png',
  '16/pika-controller-linux-input.png',
  '16/pika-controller-midi.png',
  '16/pika-controller-wheel.png',
  '16/pika-controller.png',
  '16/pika-convert-grayscale.png',
  '16/pika-convert-indexed.png',
  '16/pika-convert-rgb.png',
  '16/pika-cursor.png',
  '16/pika-curve-free.png',
  '16/pika-curve-smooth.png',
  '16/pika-device-status.png',
  '16/pika-display-filter-colorblind.png',
  '16/pika-display-filter-contrast.png',
  '16/pika-display-filter-gamma.png',
  '16/pika-display-filter-lcms.png',
  '16/pika-display-filter-proof.png',
  '16/pika-display-filter.png',
  '16/pika-duplicate.png',
  '16/pika-dynamics.png',
  '16/pika-floating-selection.png',
  '16/pika-gegl.png',
  '16/pika-gradient-bilinear.png',
  '16/pika-gradient-conical-asymmetric.png',
  '16/pika-gradient-conical-symmetric.png',
  '16/pika-gradient-linear.png',
  '16/pika-gradient-radial.png',
  '16/pika-gradient-shapeburst-angular.png',
  '16/pika-gradient-shapeburst-dimpled.png',
  '16/pika-gradient-shapeburst-spherical.png',
  '16/pika-gradient-spiral-anticlockwise.png',
  '16/pika-gradient-spiral-clockwise.png',
  '16/pika-gradient-square.png',
  '16/pika-grid.png',
  '16/pika-histogram-linear.png',
  '16/pika-histogram-logarithmic.png',
  '16/pika-histogram.png',
  '16/pika-image.png',
  '16/pika-images.png',
  '16/pika-input-device.png',
  '16/pika-invert.png',
  '16/pika-join-bevel.png',
  '16/pika-join-miter.png',
  '16/pika-join-round.png',
  '16/pika-landscape.png',
  '16/pika-layer-mask.png',
  '16/pika-layer-to-imagesize.png',
  '16/pika-layer.png',
  '16/pika-layers.png',
  '16/pika-list.png',
  '16/pika-merge-down.png',
  '16/pika-move-to-screen.png',
  '16/pika-navigation.png',
  '16/pika-paste-as-new.png',
  '16/pika-paste-into.png',
  '16/pika-path-stroke.png',
  '16/pika-path.png',
  '16/pika-paths.png',
  '16/pika-plugin.png',
  '16/pika-portrait.png',
  '16/pika-prefs-folders-brushes.png',
  '16/pika-prefs-folders-dynamics.png',
  '16/pika-prefs-folders-environ.png',
  '16/pika-prefs-folders-fonts.png',
  '16/pika-prefs-folders-gradients.png',
  '16/pika-prefs-folders-icon-themes.png',
  '16/pika-prefs-folders-interp.png',
  '16/pika-prefs-folders-modules.png',
  '16/pika-prefs-folders-palettes.png',
  '16/pika-prefs-folders-patterns.png',
  '16/pika-prefs-folders-plug-ins.png',
  '16/pika-prefs-folders-scripts.png',
  '16/pika-prefs-folders-themes.png',
  '16/pika-prefs-folders-tool-plug-ins.png',
  '16/pika-prefs-folders-tool-presets.png',
  '16/pika-prefs-folders-tools.png',
  '16/pika-prefs-icon-theme.png',
  '16/pika-prefs-image-windows.png',
  '16/pika-prefs-interface.png',
  '16/pika-prefs-theme.png',
  '16/pika-prefs-toolbox.png',
  '16/pika-prefs-window-management.png',
  '16/pika-print-resolution.png',
  '16/pika-reset.png',
  '16/pika-reshow-filter.png',
  '16/pika-resize.png',
  '16/pika-rotate-180.png',
  '16/pika-sample-point.png',
  '16/pika-scale.png',
  '16/pika-selection-add.png',
  '16/pika-selection-all.png',
  '16/pika-selection-border.png',
  '16/pika-selection-grow.png',
  '16/pika-selection-intersect.png',
  '16/pika-selection-none.png',
  '16/pika-selection-replace.png',
  '16/pika-selection-shrink.png',
  '16/pika-selection-stroke.png',
  '16/pika-selection-subtract.png',
  '16/pika-selection-to-channel.png',
  '16/pika-selection-to-path.png',
  '16/pika-selection.png',
  '16/pika-shape-circle.png',
  '16/pika-shape-diamond.png',
  '16/pika-shape-square.png',
  '16/pika-template.png',
  '16/pika-text-layer.png',
  '16/pika-toilet-paper.png',
  '16/pika-tool-airbrush.png',
  '16/pika-tool-align.png',
  '16/pika-tool-blur.png',
  '16/pika-tool-brightness-contrast.png',
  '16/pika-tool-bucket-fill.png',
  '16/pika-tool-by-color-select.png',
  '16/pika-tool-cage.png',
  '16/pika-tool-clone.png',
  '16/pika-tool-color-balance.png',
  '16/pika-tool-color-picker.png',
  '16/pika-tool-colorize.png',
  '16/pika-tool-crop.png',
  '16/pika-tool-curves.png',
  '16/pika-tool-desaturate.png',
  '16/pika-tool-dodge.png',
  '16/pika-tool-ellipse-select.png',
  '16/pika-tool-eraser.png',
  '16/pika-tool-flip.png',
  '16/pika-tool-foreground-select.png',
  '16/pika-tool-free-select.png',
  '16/pika-tool-fuzzy-select.png',
  '16/pika-tool-gradient.png',
  '16/pika-tool-handle-transform.png',
  '16/pika-tool-heal.png',
  '16/pika-tool-hue-saturation.png',
  '16/pika-tool-ink.png',
  '16/pika-tool-iscissors.png',
  '16/pika-tool-levels.png',
  '16/pika-tool-measure.png',
  '16/pika-tool-move.png',
  '16/pika-tool-mypaint-brush.png',
  '16/pika-tool-n-point-deformation.png',
  '16/pika-tool-options.png',
  '16/pika-tool-paintbrush.png',
  '16/pika-tool-path.png',
  '16/pika-tool-pencil.png',
  '16/pika-tool-perspective-clone.png',
  '16/pika-tool-perspective.png',
  '16/pika-tool-posterize.png',
  '16/pika-tool-preset.png',
  '16/pika-tool-rect-select.png',
  '16/pika-tool-rotate.png',
  '16/pika-tool-scale.png',
  '16/pika-tool-seamless-clone.png',
  '16/pika-tool-shear.png',
  '16/pika-tool-smudge.png',
  '16/pika-tool-text.png',
  '16/pika-tool-threshold.png',
  '16/pika-tool-unified-transform.png',
  '16/pika-tool-warp.png',
  '16/pika-tool-zoom.png',
  '16/pika-tools.png',
  '16/pika-transparency.png',
  '16/pika-undo-history.png',
  '16/pika-user-manual.png',
  '16/pika-video.png',
  '16/pika-web.png',
  '16/pika-mascot.png',
  '16/gtk-edit.png',
  '16/object-flip-horizontal.png',
  '16/object-flip-vertical.png',
  '16/object-rotate-left.png',
  '16/object-rotate-right.png',
]
legacy_icons_18 = [
  '18/pika-color-picker-black.png',
  '18/pika-color-picker-gray.png',
  '18/pika-color-picker-white.png',
]
legacy_icons_20 = [
  '20/pika-linked.png',
  '20/pika-visible.png',
]
legacy_icons_22 = [
  '22/pika-char-picker.png',
  '22/pika-dynamics.png',
  '22/pika-histogram.png',
  '22/pika-input-device.png',
  '22/pika-letter-spacing.png',
  '22/pika-line-spacing.png',
  '22/pika-path.png',
  '22/pika-paths.png',
  '22/pika-prefs-color-management.png',
  '22/pika-prefs-controllers.png',
  '22/pika-prefs-default-grid.png',
  '22/pika-prefs-display.png',
  '22/pika-prefs-folders-brushes.png',
  '22/pika-prefs-folders-dynamics.png',
  '22/pika-prefs-folders-environ.png',
  '22/pika-prefs-folders-fonts.png',
  '22/pika-prefs-folders-gradients.png',
  '22/pika-prefs-folders-icon-themes.png',
  '22/pika-prefs-folders-interp.png',
  '22/pika-prefs-folders-modules.png',
  '22/pika-prefs-folders-palettes.png',
  '22/pika-prefs-folders-patterns.png',
  '22/pika-prefs-folders-plug-ins.png',
  '22/pika-prefs-folders-scripts.png',
  '22/pika-prefs-folders-themes.png',
  '22/pika-prefs-folders-tool-plug-ins.png',
  '22/pika-prefs-folders-tool-presets.png',
  '22/pika-prefs-folders-tools.png',
  '22/pika-prefs-folders.png',
  '22/pika-prefs-help-system.png',
  '22/pika-prefs-icon-theme.png',
  '22/pika-prefs-image-title.png',
  '22/pika-prefs-image-windows.png',
  '22/pika-prefs-input-devices.png',
  '22/pika-prefs-interface.png',
  '22/pika-prefs-new-image.png',
  '22/pika-prefs-playground.png',
  '22/pika-prefs-session.png',
  '22/pika-prefs-system-resources.png',
  '22/pika-prefs-theme.png',
  '22/pika-prefs-tool-options.png',
  '22/pika-prefs-toolbox.png',
  '22/pika-prefs-window-management.png',
  '22/pika-tool-preset.png',
  '22/pika-mascot.png',
]
legacy_tools_22 = [
  '22/pika-gegl.png',
  '22/pika-tool-airbrush.png',
  '22/pika-tool-align.png',
  '22/pika-tool-blur.png',
  '22/pika-tool-brightness-contrast.png',
  '22/pika-tool-bucket-fill.png',
  '22/pika-tool-by-color-select.png',
  '22/pika-tool-cage.png',
  '22/pika-tool-clone.png',
  '22/pika-tool-color-balance.png',
  '22/pika-tool-color-picker.png',
  '22/pika-tool-colorize.png',
  '22/pika-tool-crop.png',
  '22/pika-tool-curves.png',
  '22/pika-tool-desaturate.png',
  '22/pika-tool-dodge.png',
  '22/pika-tool-ellipse-select.png',
  '22/pika-tool-eraser.png',
  '22/pika-tool-flip.png',
  '22/pika-tool-foreground-select.png',
  '22/pika-tool-free-select.png',
  '22/pika-tool-fuzzy-select.png',
  '22/pika-tool-gradient.png',
  '22/pika-tool-handle-transform.png',
  '22/pika-tool-heal.png',
  '22/pika-tool-hue-saturation.png',
  '22/pika-tool-ink.png',
  '22/pika-tool-iscissors.png',
  '22/pika-tool-levels.png',
  '22/pika-tool-measure.png',
  '22/pika-tool-move.png',
  '22/pika-tool-mypaint-brush.png',
  '22/pika-tool-n-point-deformation.png',
  '22/pika-tool-paintbrush.png',
  '22/pika-tool-path.png',
  '22/pika-tool-pencil.png',
  '22/pika-tool-perspective-clone.png',
  '22/pika-tool-perspective.png',
  '22/pika-tool-posterize.png',
  '22/pika-tool-rect-select.png',
  '22/pika-tool-rotate.png',
  '22/pika-tool-scale.png',
  '22/pika-tool-seamless-clone.png',
  '22/pika-tool-shear.png',
  '22/pika-tool-smudge.png',
  '22/pika-tool-text.png',
  '22/pika-tool-threshold.png',
  '22/pika-tool-unified-transform.png',
  '22/pika-tool-warp.png',
  '22/pika-tool-zoom.png',
]
legacy_icons_24 = [
  '24/dialog-information.png',
  '24/dialog-warning.png',
  '24/format-text-direction-ltr.png',
  '24/format-text-direction-rtl.png',
  '24/pika-center.png',
  '24/pika-channel-alpha.png',
  '24/pika-channel-blue.png',
  '24/pika-channel-gray.png',
  '24/pika-channel-green.png',
  '24/pika-channel-indexed.png',
  '24/pika-channel-red.png',
  '24/pika-channel.png',
  '24/pika-channels.png',
  '24/pika-colormap.png',
  '24/pika-controller-keyboard.png',
  '24/pika-controller-linux-input.png',
  '24/pika-controller-midi.png',
  '24/pika-controller-wheel.png',
  '24/pika-controller.png',
  '24/pika-cursor.png',
  '24/pika-device-status.png',
  '24/pika-display-filter-colorblind.png',
  '24/pika-display-filter-contrast.png',
  '24/pika-display-filter-gamma.png',
  '24/pika-display-filter-lcms.png',
  '24/pika-display-filter-proof.png',
  '24/pika-display-filter.png',
  '24/pika-floating-selection.png',
  '24/pika-gravity-east.png',
  '24/pika-gravity-north-east.png',
  '24/pika-gravity-north-west.png',
  '24/pika-gravity-north.png',
  '24/pika-gravity-south-east.png',
  '24/pika-gravity-south-west.png',
  '24/pika-gravity-south.png',
  '24/pika-gravity-west.png',
  '24/pika-hcenter.png',
  '24/pika-hchain-broken.png',
  '24/pika-hchain.png',
  '24/pika-hfill.png',
  '24/pika-image.png',
  '24/pika-images.png',
  '24/pika-layer-mask.png',
  '24/pika-layer.png',
  '24/pika-layers.png',
  '24/pika-move-to-screen.png',
  '24/pika-print-resolution.png',
  '24/pika-sample-point.png',
  '24/pika-template.png',
  '24/pika-text-layer.png',
  '24/pika-toilet-paper.png',
  '24/pika-tool-options.png',
  '24/pika-tools.png',
  '24/pika-transparency.png',
  '24/pika-undo-history.png',
  '24/pika-user-manual.png',
  '24/pika-vcenter.png',
  '24/pika-vchain-broken.png',
  '24/pika-vchain.png',
  '24/pika-vfill.png',
  '24/pika-video.png',
  '24/pika-web.png',
]
legacy_icons_32 = [
  '32/pika-channel-alpha.png',
  '32/pika-channel-blue.png',
  '32/pika-channel-gray.png',
  '32/pika-channel-green.png',
  '32/pika-channel-indexed.png',
  '32/pika-channel-red.png',
  '32/pika-channel.png',
  '32/pika-floating-selection.png',
  '32/pika-image.png',
  '32/pika-layer-mask.png',
  '32/pika-layer.png',
  '32/pika-text-layer.png',
  '32/pika-user-manual.png',
  '32/pika-mascot.png',
]
legacy_icons_48 = [
  '48/pika-channel-alpha.png',
  '48/pika-channel-blue.png',
  '48/pika-channel-gray.png',
  '48/pika-channel-green.png',
  '48/pika-channel-indexed.png',
  '48/pika-channel-red.png',
  '48/pika-channel.png',
  '48/pika-floating-selection.png',
  '48/pika-image.png',
  '48/pika-layer-mask.png',
  '48/pika-layer.png',
  '48/pika-prefs-color-management.png',
  '48/pika-prefs-controllers.png',
  '48/pika-prefs-default-comment.png',
  '48/pika-prefs-default-grid.png',
  '48/pika-prefs-display.png',
  '48/pika-prefs-folders-brushes.png',
  '48/pika-prefs-folders-dynamics.png',
  '48/pika-prefs-folders-environ.png',
  '48/pika-prefs-folders-fonts.png',
  '48/pika-prefs-folders-gradients.png',
  '48/pika-prefs-folders-icon-themes.png',
  '48/pika-prefs-folders-interp.png',
  '48/pika-prefs-folders-modules.png',
  '48/pika-prefs-folders-palettes.png',
  '48/pika-prefs-folders-patterns.png',
  '48/pika-prefs-folders-plug-ins.png',
  '48/pika-prefs-folders-scripts.png',
  '48/pika-prefs-folders-themes.png',
  '48/pika-prefs-folders-tool-plug-ins.png',
  '48/pika-prefs-folders-tool-presets.png',
  '48/pika-prefs-folders-tools.png',
  '48/pika-prefs-folders.png',
  '48/pika-prefs-help-system.png',
  '48/pika-prefs-icon-theme.png',
  '48/pika-prefs-image-title.png',
  '48/pika-prefs-image-windows.png',
  '48/pika-prefs-input-devices.png',
  '48/pika-prefs-interface.png',
  '48/pika-prefs-new-image.png',
  '48/pika-prefs-playground.png',
  '48/pika-prefs-session.png',
  '48/pika-prefs-system-resources.png',
  '48/pika-prefs-theme.png',
  '48/pika-prefs-tool-options.png',
  '48/pika-prefs-toolbox.png',
  '48/pika-prefs-window-management.png',
  '48/pika-text-layer.png',
  '48/pika-mascot.png',
]
legacy_icons_64 = [
  '64/dialog-error.png',
  '64/dialog-information.png',
  '64/dialog-question.png',
  '64/dialog-warning.png',
  '64/pika-frame.png',
  '64/pika-texture.png',
  '64/pika-user-manual.png',
  '64/pika-mascot-eek.png',
  '64/pika-mascot-outline.png',
  '64/pika-mascot.png',
]
legacy_icons_96 = [
  '96/pika-mascot-outline.png',
  '96/pika-mascot.png',
]
legacy_icons_128 = [
  '128/pika-mascot-outline.png',
  '128/pika-mascot.png',
]
legacy_icons_192 = [
  '192/pika-mascot-outline.png',
  '192/pika-mascot.png',
]
legacy_icons_256 = [
  '256/pika-mascot-outline.png',
  '256/pika-mascot.png',
]

all_legacy_icons = [
  [ '12x12',    legacy_icons_12 ],
  [ '16x16',    legacy_icons_16 ],
  [ '18x18',    legacy_icons_18 ],
  [ '20x20',    legacy_icons_20 ],
  [ '22x22',    legacy_icons_22 ],
  [ '24x24',    legacy_icons_24 ],
  [ '32x32',    legacy_icons_32 ],
  [ '48x48',    legacy_icons_48 ],
  [ '64x64',    legacy_icons_64 ],
  [ '96x96',    legacy_icons_96 ],
  [ '128x128',  legacy_icons_128 ],
  [ '192x192',  legacy_icons_192 ],
  [ '256x256',  legacy_icons_256 ],
]
all_legacy_tools = [
  [ '22x22',    legacy_tools_22 ],
]

foreach icon_info : all_legacy_icons
  icons_dir = icon_info[0]
  icons_list= icon_info[1]
  install_data(icons_list,
    install_dir: pikaiconsdir / theme / icons_dir / 'apps',
  )
endforeach
foreach icon_info : all_legacy_tools
  icons_dir = icon_info[0]
  icons_list= icon_info[1]
  install_data(icons_list,
  install_dir: pikaiconsdir / theme / icons_dir / 'tools',
  )
endforeach


icons_core = [ '64/dialog-question.png', ]
icons_imgs = [ '64/pika-mascot-eek.png', ]

resourcename = 'pika-core-pixbufs'
xml_content  = '<?xml version="1.0" encoding="UTF-8"?>\n'
xml_content += '<gresources>\n'
xml_content += '  <gresource prefix="/technology.heckin/icons">\n'
foreach file : icons_core
  xml_content+='    <file preprocess="to-pixdata">'+ file +'</file>\n'
endforeach
xml_content += '  </gresource>\n'
xml_content += '</gresources>\n'

xml_file = configure_file(
  output: resourcename + '.gresource.xml',
  command: [ 'echo', xml_content ],
  capture: true,
)
# icons_core_sources = gnome.compile_resources(
#   resourcename,
#   xml_file,
#   c_name: resourcename.underscorify(),
# )


resourcename = 'pika-icon-pixbufs'
xml_content  = '<?xml version="1.0" encoding="UTF-8"?>\n'
xml_content += '<gresources>\n'
xml_content += '  <gresource prefix="/technology.heckin/icons">\n'
foreach file : icons_imgs
  xml_content+='    <file preprocess="to-pixdata">'+ file +'</file>\n'
endforeach
xml_content += '  </gresource>\n'
xml_content += '</gresources>\n'

xml_file = configure_file(
  output: resourcename + '.gresource.xml',
  command: [ 'echo', xml_content ],
  capture: true,
)
# icons_imgs_sources = gnome.compile_resources(
#   resourcename,
#   xml_file,
#   c_name: resourcename.underscorify(),
# )
